Bug 1127472 - [abrt] evince: g_type_check_instance_cast(): evince killed by SIGSEGV
Summary: [abrt] evince: g_type_check_instance_cast(): evince killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a1e9950e9b9902d19f8e4c37d73...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 23:14 UTC by Jesse
Modified: 2015-12-02 16:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:21:51 UTC


Attachments (Terms of Use)
File: backtrace (36.34 KB, text/plain)
2014-08-06 23:14 UTC, Jesse
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-06 23:14 UTC, Jesse
no flags Details
File: core_backtrace (16.45 KB, text/plain)
2014-08-06 23:14 UTC, Jesse
no flags Details
File: dso_list (11.15 KB, text/plain)
2014-08-06 23:14 UTC, Jesse
no flags Details
File: environ (1.79 KB, text/plain)
2014-08-06 23:14 UTC, Jesse
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-06 23:14 UTC, Jesse
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-06 23:14 UTC, Jesse
no flags Details
File: maps (54.11 KB, text/plain)
2014-08-06 23:14 UTC, Jesse
no flags Details
File: open_fds (1.99 KB, text/plain)
2014-08-06 23:14 UTC, Jesse
no flags Details
File: proc_pid_status (936 bytes, text/plain)
2014-08-06 23:14 UTC, Jesse
no flags Details
File: var_log_messages (17.03 KB, text/plain)
2014-08-06 23:14 UTC, Jesse
no flags Details

Description Jesse 2014-08-06 23:14:05 UTC
Version-Release number of selected component:
evince-3.13.3.1-3.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        evince /home/jesse/Downloads/GGAD.pdf
crash_function: g_type_check_instance_cast
executable:     /usr/bin/evince
kernel:         3.15.3-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:4008
 #1 get_popup at ev-zoom-action.c:253
 #2 entry_icon_press_callback at ev-zoom-action.c:339
 #7 gtk_entry_event at gtkentry.c:4285
 #8 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130
 #9 _g_closure_invoke_va at gclosure.c:831
 #12 gtk_widget_event_internal at gtkwidget.c:7671
 #13 propagate_event_up at gtkmain.c:2413
 #14 propagate_event at gtkmain.c:2521
 #15 gtk_main_do_event at gtkmain.c:1747

Comment 1 Jesse 2014-08-06 23:14:09 UTC
Created attachment 924643 [details]
File: backtrace

Comment 2 Jesse 2014-08-06 23:14:10 UTC
Created attachment 924644 [details]
File: cgroup

Comment 3 Jesse 2014-08-06 23:14:12 UTC
Created attachment 924645 [details]
File: core_backtrace

Comment 4 Jesse 2014-08-06 23:14:13 UTC
Created attachment 924646 [details]
File: dso_list

Comment 5 Jesse 2014-08-06 23:14:15 UTC
Created attachment 924647 [details]
File: environ

Comment 6 Jesse 2014-08-06 23:14:16 UTC
Created attachment 924648 [details]
File: exploitable

Comment 7 Jesse 2014-08-06 23:14:17 UTC
Created attachment 924649 [details]
File: limits

Comment 8 Jesse 2014-08-06 23:14:19 UTC
Created attachment 924650 [details]
File: maps

Comment 9 Jesse 2014-08-06 23:14:20 UTC
Created attachment 924651 [details]
File: open_fds

Comment 10 Jesse 2014-08-06 23:14:21 UTC
Created attachment 924652 [details]
File: proc_pid_status

Comment 11 Jesse 2014-08-06 23:14:24 UTC
Created attachment 924653 [details]
File: var_log_messages

Comment 12 Joachim Frieben 2014-08-09 14:32:17 UTC
Application crashed when trying to mouse-click the scale widget.

Comment 13 Joachim Frieben 2014-08-18 09:08:43 UTC
Fixed in evince-3.13.90-1.fc21.

Comment 14 Fedora End Of Life 2015-11-04 15:15:07 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-12-02 03:21:54 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.